<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>Online publishing</title>
        <link rel="stylesheet" href="../css/styles.css" />
    </head>
    <body epub:type="chapter">
        <h1><em>Online publishing</em></h1>
        <p>Para tener aún mayor control sobre la edición, existe la posibilidad de que el proyecto de una obra tenga un sistema de <a href="https://es.wikipedia.org/wiki/Control_de_versiones">control de versiones</a>. ¿Cuántas veces no se han colado ediciones antiguas a un archivo de salida? ¿Cuántas veces no se han encontrado errores que previamente se habían corregido? ¿Cuántas veces las versiones «finales» son tantas que existen coletillas en los archivos como «versión-final-final02»?</p>
        <p>La pesadilla de no poder encontrar la versión actual de un archivo, hasta el punto de tener que meter los cambios de nueva cuenta, también ha sido un dolor de cabeza para los desarrolladores de <em>software</em>. Para solucionar esta dificultad, se crearon sistemas de fácil uso pero muy potentes para controlar cambios. Mediante estos, el desarrollador y el editor pueden trabajar de manera habitual con sus archivos.</p>
        <p>Cada vez que se realiza algo importante, como la conclusión de una tarea o una modificación crucial, este cambio puede ser guardado, que en la jerga se conoce como <em>commit</em>. Si se desea experimentar un poco, es posible crear una línea de trabajo paralela, llamadas «ramas». Si se obtiene el resultado esperado es posible la incorporación al trabajo principal y si se consiguen consecuencias indeseadas se puede regresar a la rama principal y eliminar la experimental. Por último, si durante la edición o el desarrollo algo sale mal, siempre es posible retornar a versiones previas sin la necesidad de haber hecho un respaldo de los archivos.</p>
        
            <p class="imagenP"><img style="width: 80%; margin-left: 10%;" class="imagenImg" src="../img/interiores/gitramas.jpg" /></p>
            <p style="width: 90%; margin-left: 5%" class="imagenPie">Figura 22. Representación gráfica de un sistema de control de versiones. Los puntos representan cambios guardados, mientras que las líneas son las diferentes líneas de trabajo sobre un mismo proyecto. Fuente: <a href="http://jlord.us/git-it/challenges/branches_arent_just_for_birds.html">Git-it</a>.</p>
        
        <p>Tal vez la comprensión de esta característica puede ser difícil para el editor habitual. Lo importante a destacar aquí es que un sistema de control de versiones permite:</p>
        <ol>
            <li>que el editor o diseñador editorial deje de respaldar archivos, para que en su lugar genere puntos de guardado en su proyecto, y que</li>
            <li>el proyecto con un sistema de esta clase pueda estar disponible en línea para un trabajo colaborativo no presencial.</li>
        </ol>
        <p>El quehacer editorial en varios casos exige la coordinación de un grupo de trabajo que, por lo general, se presenta a inconvenientes debido a las agendas de los diferentes colaboradores. El envío de correos y de archivos adjuntos ha sido la solución estándar ante esta dificultad. No obstante, esto en más de una ocasión ha dado fruto a confusiones, como la descarga de versiones viejas, la pérdida de correos, etcétera. Otra alternativa a este inconveniente es posible si el proyecto, junto con el sistema de control de versión, que en conjunto se denomina «repositorio», se sube a un servidor para que cada colaborador esté actualizando sus archivos locales o subiendo sus modificaciones.</p>
        
            <p class="imagenP"><img style="width: 80%; margin-left: 10%;" class="imagenImg" src="../img/interiores/gitrepositorio.jpg" /></p>
            <p style="width: 90%; margin-left: 5%" class="imagenPie">Figura 23. Representación gráfica de un repositorio en el servidor y los repositorios locales que se actualizan o modifican este repositorio remoto. Fuente: <a href="http://www.terminally-incoherent.com/blog/2012/05/07/the-plight-of-a-git-newb/">Terminally Incoherent</a>.</p>
        
        <p>Esta característica es muy similar a tener archivos en la nube. La diferencia reside en que un repositorio cuenta con un potente sistema de control de versiones.</p>
        <p>Esta mediación del internet para la consecución exitosa de un proyecto editorial ha generado la idea de la <em>online publishing</em>. La publicación en línea no solo hace referencia a que las obras estén disponibles en la web, sino que el internet sea un intermediario para crear un flujo de trabajo controlado y sistemático. Además, esta concepción es muy afín al <em>simple source publishing</em>, ya que implica la posibilidad de control remoto a la metodología de producción de un archivo base.</p>
        <p>En la actualidad, existen plataformas que ya ofrecen ambas características. Un ejemplo es <a href="https://bookdown.org/">Bookdown</a> que, como dice su eslogan, permite la creación de libros en formatos HTML, PDF, EPUB o para Kindle desde Markdown. Otro ejemplo es <a href="https://leanpub.com/">Leanpub</a> que, además de permitir la diversa salida de formatos a partir de archivos Markdown presentes en repositorios, pone en práctica la idea de «publicación progresiva». Es decir, la posibilidad de actualizar indefinidamente un libro al unísono que el lector obtiene la versión más reciente de la obra.</p>
        <p>Otro ejemplo más es <a href="https://www.gitbook.com/about">GitBook</a>, un proyecto de <a href="https://es.wikipedia.org/wiki/GitHub">GitHub</a>, la plataforma más popular para alojar repositorios <a href="https://es.wikipedia.org/wiki/Git">Git</a>. Este sitio permite la publicación digital con <a href="https://es.wikipedia.org/wiki/Diseño_web_adaptable">diseño responsivo</a> a partir de archivos Markdown. Al estar la obra en un repositorio, su actualización se refleja en cuestión de segundos, posibilitando así la idea de la publicación progresiva.</p>
        
            <p class="imagenP"><img style="width: 80%; margin-left: 10%;" class="imagenImg" src="../img/interiores/gitbook.jpg" /></p>
            <p style="width: 90%; margin-left: 5%" class="imagenPie">Figura 24. <a href="https://nikazhenya.gitbooks.io/guia-de-nieve-de-chamoy/content/"><em>Guía de Nieve de Chamoy</em></a>, una publicación hospedada en GitBook. Fuente: <a href="https://www.gitbook.com/">GitBook</a>.</p>
        
    </body>
</html>
